play.data.parsing

## Class UrlEncodedParser

- java.lang.Object
- - play.data.parsing.DataParser
  - - play.data.parsing.UrlEncodedParser

-     public class UrlEncodedParser
      extends DataParser

  Parse url-encoded requests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlEncodedParser()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String[]>` | `parse(java.io.InputStream is)`
    `static java.util.Map<java.lang.String,java.lang.String[]>` | `parse(java.lang.String urlEncoded)`
    `static java.util.Map<java.lang.String,java.lang.String[]>` | `parseQueryString(java.io.InputStream is)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlEncodedParser

          public UrlEncodedParser()

  - ### Method Detail

    - #### parse

          public static java.util.Map<java.lang.String,java.lang.String[]> parse(java.lang.String urlEncoded)

    - #### parseQueryString

          public static java.util.Map<java.lang.String,java.lang.String[]> parseQueryString(java.io.InputStream is)

    - #### parse

          public java.util.Map<java.lang.String,java.lang.String[]> parse(java.io.InputStream is)

      Specified by:
        `parse` in class `DataParser`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly